#!/bin/bash

package=Test-Fatal
version=-0.010

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPARALLELBUILDING ../.. $*

prefix=$GEXTPARALLELBUILDING_INSTALLED
perlversion=$PERL_VERSION

opt_run_untar $force_untar $auto_untar $package $version
opt_run_perl_configure $force_config $auto_config $package $version $prefix INSTALLSITEARCH="$prefix/lib/perl/$perlversion" INSTALLSITELIB="$prefix/lib/perl/$perlversion"

# We only compile if necessary, as compilation is quite slow and we don't
# edit these source files
if [[ ! -e "$prefix/lib/perl/$perlversion/Test/Fatal.pm" ]]
then
  opt_run_make $compile   $package $version
  echo "opt_run_make $install $package $version \"install\""
  opt_run_make $install   $package $version "install"
else
  echo "Test::Fatal Perl module already compiled => no need to recompile"
fi

opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version







